%% bergabe aus GUI des Textdokumentes Gcode --> Verarbeitung
% Autor: Lars Osthoff
% Hochschule Hamm-Lippstadt
% Produktionstechnik Praktikum WS15/16
% Prof. Dr. -Ing Gbel

function GCode (Dateipfad)

%% Wurde der Startknopf gedrckt Start
if Start == 1
%% GCode auslesen
Matrix = Auslesen (Dateipfad);

if Not_Aus == 1
    error ('Not-Aus'); ;
end    

for ii=1:1:length(Matrix)
    
    %% Erkennen des GCode
    G = Matrix{ii,1};
    X = Matrix{ii,2};
    Y = Matrix{ii,3};
    Z = Matrix{ii,4};
    F = Matrix{ii,5};
    I = Matrix{ii,6};
    J = Matrix{ii,7};
    
    %% Variablen setzen fr G02-Funktion
    if ii >2
        X1 = Matrix{ii-1,2};
        Y1 = Matrix{ii-1,3};
    end
    
    %% Buchstaben entfernen
    test_X = isempty(X);
    if test_X ==0
        X = strrep(X,'X','');
        X = str2num(X);
    end
    
    
    test_Y = isempty(Y);
    if test_Y ==0
        Y = strrep(Y,'Y','');
        Y = str2num(Y);
    end
    
    test_Z = isempty(Z);
    if test_Z ==0
        Z = strrep(Z,'Z','');
        Z = str2num(Z);
    end
    
    test_F = isempty(F);
    if test_F ==0
        F = strrep(F,'F','');
        F = str2num(F);
    end
    
    if ii>2
        
        test_X1 = isempty(X1);
        if test_X1 ==0
            X1 = strrep(X1,'X','');
            X1 = str2num(X1);
        end
        
        
        test_Y1 = isempty(Y1);
        if test_Y1 ==0
            Y1 = strrep(Y1,'Y','');
            Y1 = str2num(Y1);
        end
        
        test_I = isempty(I);
        if test_I ==0
            I = strrep(I,'I','');
            I = str2num(I);
        end
        
        
        test_J = isempty(J);
        if test_J ==0
            J = strrep(J,'J','');
            J = str2num(J);
        end
        
        
        
    end
    
    
    
    %% Befehle/Funktionen aufrufen
    
    switch G
        case 'M00'
            M = 'STOPP'
        case 'M02'
            M = 'Programmende'
        case 'M03'
            M = 'Spindel rechts'
        case 'M05'
            M = 'Spindel halt'
        case 'G00'
            G00(X,Y,Z)
        case 'G01'
            G01(X,Y,Z,F)
        case 'G02'
            G02(X,Y,Z,I,J,X1,Y1,F)
        case 'G90'
            a = 'Absolutkoordinaten'
    end
end
end
end
