%% Grundprogramm fr die Umwandlung von G-Code in Absolutwerte
% Autor: Lars Osthoff
% Hochschule Hamm-Lippstadt
% Produktionstechnik Praktikum WS15/16
% Prof. Dr. -Ing Gbel
function [] = Gcodeauslesen (X)

global Daten;
%% GCode auslesen
Matrix = Auslesen (X);


for ii=1:1:length(Matrix)
    
    %% Erkennen des GCode
    G = Matrix{ii,1};
    X = Matrix{ii,2};
    Y = Matrix{ii,3};
    Z = Matrix{ii,4};
    F = Matrix{ii,5};
    I = Matrix{ii,6};
    J = Matrix{ii,7};
    
    Daten.Koordinaten.X = X;
    Daten.Koordinaten.Y = Y;
    
    %% Variablen setzen fr IST-Wert Frser
    if ii<2
        % Referenz aus der GUI bernehmen
        X1 = get(Daten.handles.Ref_x,'String');
        Y1 = get(Daten.handles.Ref_y,'String');
        X1 = str2num(X1);
        Y1 = str2num(Y1);
    end
    %     if ii >=2
    %         X1 = Matrix{ii-1,2};
    %         Y1 = Matrix{ii-1,3};
    %     end
    
    %% Buchstaben entfernen
    test_X = isempty(X);
    if test_X ==0
        X = strrep(X,'X','');
        X = str2num(X);
    end
    
    
    test_Y = isempty(Y);
    if test_Y ==0
        Y = strrep(Y,'Y','');
        Y = str2num(Y);
    end
    
    test_Z = isempty(Z);
    if test_Z ==0
        Z = strrep(Z,'Z','');
        Z = str2num(Z);
    end
    
    test_F = isempty(F);
    if test_F ==0
        F = strrep(F,'F','');
        F = str2num(F);
    end
    
    if ii>2
        test_I = isempty(I);
        if test_I ==0
            I = strrep(I,'I','');
            I = str2num(I);
        end
        
        
        test_J = isempty(J);
        if test_J ==0
            J = strrep(J,'J','');
            J = str2num(J);
        end
    end
    
    
    
    %% Befehle/Funktionen aufrufen
    
    switch G
        case 'M00'
            M = 'STOPP'
        case 'M02'
            M = 'Programmende'
        case 'M03'
            M = 'Spindel rechts'
        case 'M05'
            M = 'Spindel halt'
        case 'G00'
            G00(X,Y,Z)
        case 'G01'
            G01(X,Y,Z,F,X1,Y1)
        case 'G02'
            G02(X,Y,Z,I,J,X1,Y1,F)
        case 'G03'
            G02(X,Y,Z,I,J,X1,Y1,F)
        case 'G90'
            a = 'Absolutkoordinaten'
        otherwise
            Err = 'Befehl nicht verfgbar'
    end
    
    % alte Werte merken
    if ~isempty(X)
        X1 = X;
    end
    if ~isempty(Y)
        Y1 = Y;
    end
    if ~isempty(Z)
        Z1 = Z;
    end
end
end