%% Funktion fr Pushbutton-Callbackfunktionen fr Serielle Kommunikation Pushbutton-Callbackfunktion zum senden der Koordinaten an die Serielle Schnittstelle.
% Autor: Lars Osthoff
% Hochschule Hamm-Lippstadt
% Produktionstechnik Praktikum WS15/16
% Prof. Dr. -Ing Gbel
% in Anlehnung an vorherige Semester

%% Pushbutton-Callbackfunktion zum senden der Koordinaten an die Serielle
%  Schnittstelle.
    function senden_callback(source,eventdata)
        
        XKoor = '00000';
        YKoor = '00000';
        ZKoor = '00000';
        VVelo = '00000';
        
        x = int16(get(Achse_x,'Value'));
        y = int16(get(Achse_y,'Value'));
        z = int16(get(Achse_z,'Value'));
        vor=int16(50);
        
        xchar = num2str(x);
        ychar = num2str(y);
        zchar = num2str(z);
        vchar = num2str(vor);
        
        jx = 5-length(xchar)+1;
        jy = 5-length(ychar)+1;
        jz = 5-length(zchar)+1;
        jvor=5-length(vchar)+1;
              
        for i=1:length(vchar)
            VVelo(jvor) = vchar(i);
            jvor = jvor+1;
        end
                
        for i=1:length(xchar)
            XKoor(jx) = xchar(i);
            jx = jx+1;
        end
        
        for i=1:length(ychar)
            YKoor(jy) = ychar(i);
            jy = jy+1;
        end
        
        for i=1:length(zchar)
            ZKoor(jz) = zchar(i);
            jz = jz+1;
        end
       
        zusenden = ['x',XKoor,'y',YKoor,'z',ZKoor,'f',VVelo,'e'];
        disp(zusenden);
        fprintf(s,zusenden);
    end