%% Funktion fr die Ausgabe im Kommandofenster
% Autor: Lars Osthoff
% Hochschule Hamm-Lippstadt
% Produktionstechnik Praktikum WS15/16
% Prof. Dr. -Ing Gbel

%%
function Ausgabe(X, Y, Z, F)
global Daten;

%% Ausgabe
switch Daten.Modus 
    case 'Simulation'
        fprintf(1, 'X%04.0fY%04.0fZ%04.0fF%04.0f;\n', X*10, Y*10, Z*10, F);
    case 'Frsen'
        fprintf(Daten.s, 'X%04.0fY%04.0fZ%04.0fF%04.0f;\n', X*10, Y*10, Z*10, F);
    otherwise
        % Fehlermeldung
end

%% Plot zur berprfung
figure(Daten.figure_Ausgabe)
plot(X,Y,'*')
axis([0 200 0 200])
hold on
pause(0.0001)

end