%% Funktion fr lineare Kreisintepolation G02
% Autor: Lars Osthoff
% Hochschule Hamm-Lippstadt
% Produktionstechnik Praktikum WS15/16
% Prof. Dr. -Ing Gbel

%%
function G02 (X,Y,Z,I,J,X1,Y1,F)
% X,Y,Z Werte = Werte fr Zielposition
% I,J Werte = Abstandswert des Mittelpunktes relativ zum Startwert

Radius = sqrt(I.^2+J.^2);
A = tan(J/I);
Alpha = atand(A);

%Mittelpunktkoordinaten absolut
Mx = (X1-I);
My = (Y1-J);
B = tan((Y-My)/(X-Mx));

Endwinkel = atand(B);
Winkel = Alpha;
X_Alt = X;
Y_Alt = Y;



%% Schleife fr Abfahren bzw. Abbruch Kreisbahn 
for Alpha=Winkel:0.2:Endwinkel
    XI = Radius * cosd(Alpha);
    YI = Radius * sind(Alpha);
    X_Ist = round(XI,1);
    Y_Ist = round(YI,1);
    Ausgabe(X_Ist, Y_Ist, Z, F);
    X_Alt = X_Ist;
    Y_Alt = Y_Ist;
end

end


